#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.hpp"
#include "histogram_internal.hpp"
#include <vector>

TEST_CASE("test_negative_numbers") {
    double min = 0;
    double max = 0;
    std::vector<double> numbers3 = {-5, -3, -4, -1, -2};
    find_minmax(numbers3, min, max);
    CHECK(min == -5);
    CHECK(max == -1);
}
TEST_CASE("test_ positive_numbers") { //тест не должен быть удачным
    double min = 0;
    double max = 0;
    std::vector<double> numbers3 = {1,2,3,4,0};
    find_minmax(numbers3, min, max);
    CHECK(min == 1); //min должен быть равен 0
    CHECK(max == 4);
}
TEST_CASE("test_same_elements") {
    double min = 0;
    double max = 0;
    std::vector<double> numbers3 = {2,2,2};
    find_minmax(numbers3, min, max);
    CHECK(min == 2);
    CHECK(max == 2);
}
TEST_CASE("test_one_element") {
    double min = 0;
    double max = 0;
    std::vector<double> numbers3 = {-4};
    find_minmax(numbers3, min, max);
    CHECK(min == -4);
    CHECK(max == -4);
}
TEST_CASE("test_no_element") {
    double min = 0;
    double max = 0;
    std::vector<double> numbers3 = {};
    CHECK(find_minmax(numbers3, min, max) == false);
}
